From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-client/httrack/
Date: Sun, 31 Mar 2019 21:05:57 +0000 (UTC) [thread overview]
Message-ID: <1554066343.d0c7f3efc70a10189696aed2e00c67745061996c.sping@gentoo> (raw)
commit: d0c7f3efc70a10189696aed2e00c67745061996c
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 31 21:04:36 2019 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sun Mar 31 21:05:43 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0c7f3ef
www-client/httrack: EAPI 7 + ltprune + icon cache
Closes: https://bugs.gentoo.org/675958
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.12
www-client/httrack/httrack-3.49.2-r2.ebuild | 57 +++++++++++++++++++++++++++++
1 file changed, 57 insertions(+)
diff --git a/www-client/httrack/httrack-3.49.2-r2.ebuild b/www-client/httrack/httrack-3.49.2-r2.ebuild
new file mode 100644
index 00000000000..f513c18ae01
--- /dev/null
+++ b/www-client/httrack/httrack-3.49.2-r2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit eutils xdg-utils
+
+DESCRIPTION="HTTrack Website Copier, Open Source Offline Browser"
+HOMEPAGE="https://www.httrack.com/"
+SRC_URI="https://mirror.httrack.com/historical/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="libressl static-libs"
+
+RDEPEND=">=sys-libs/zlib-1.2.5.1-r1
+ !libressl? ( dev-libs/openssl:= )
+ libressl? ( dev-libs/libressl )
+ "
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS README greetings.txt history.txt )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.48.13-minizip.patch
+)
+
+src_configure() {
+ econf $(use_enable static-libs static) \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
+
+src_install() {
+ default
+
+ # Make webhttrack work despite FEATURES=nodoc cutting
+ # all of /usr/share/doc/ away (bug #493376)
+ if has nodoc ${FEATURES} ; then
+ dodir /usr/share/${PF}/
+ mv "${D}"/usr/share/{doc/,}${PF}/html || die
+
+ rm "${D}"/usr/share/${PN}/html || die
+ dosym ../../${PF}/html /usr/share/${PN}/html
+ fi
+
+ find "${D}" -name '*.la' -type f -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2019-03-31 21:06 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-03-31 21:05 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-27 18:43 [gentoo-commits] repo/gentoo:master commit in: www-client/httrack/ Sebastian Pipping
2024-01-27 17:36 Sam James
2024-01-27 17:36 Sam James
2024-01-27 17:29 Arthur Zamarin
2024-01-27 17:29 Arthur Zamarin
2024-01-27 14:45 Sebastian Pipping
2024-01-27 14:45 Sebastian Pipping
2023-03-13 2:49 Sebastian Pipping
2023-01-31 2:31 Sebastian Pipping
2023-01-18 0:21 Sebastian Pipping
2022-11-29 1:18 Sebastian Pipping
2021-04-30 18:34 Mikle Kolyada
2021-04-16 11:23 Sam James
2021-03-24 16:10 Sebastian Pipping
2021-01-31 20:01 Sebastian Pipping
2020-01-31 18:36 Sebastian Pipping
2019-11-12 18:07 Agostino Sarubbo
2019-10-28 7:41 Agostino Sarubbo
2019-10-27 23:20 Thomas Deutschmann
2019-10-26 18:16 Sebastian Pipping
2019-10-26 18:16 Sebastian Pipping
2018-04-21 20:56 Sebastian Pipping
2017-08-20 21:39 Sebastian Pipping
2017-08-20 21:33 Sebastian Pipping
2017-05-14 19:44 Sebastian Pipping
2016-08-03 15:03 Sebastian Pipping
2016-02-19 15:33 Fabian Groffen
2015-11-21 7:11 Anthony G. Basile
2015-11-12 9:40 Agostino Sarubbo
2015-11-11 10:05 Agostino Sarubbo
2015-11-11 8:54 Agostino Sarubbo
2015-11-08 16:26 Sebastian Pipping
2015-11-08 16:26 Sebastian Pipping
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1554066343.d0c7f3efc70a10189696aed2e00c67745061996c.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox